(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     31980,        644]
NotebookOptionsPosition[     31679,        630]
NotebookOutlinePosition[     32024,        645]
CellTagsIndexPosition[     31981,        642]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 StyleBox[
  RowBox[{"\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
    "This", " ", "is", " ", "a", " ", "program", " ", "to", " ", "produce", 
     " ", "a", " ", "plot", " ", "of", " ", "the", " ", "uvcoverage", " ", 
     "for", " ", "a", " ", "variable", " ", 
     RowBox[{"no", ".", " ", "of"}], " ", "antennas", " ", "at", " ", "the", 
     " ", "equator", " ", "and", " ", "with", " ", "no", " ", "elevation", 
     " ", 
     RowBox[{"changes", ".", "  ", "The"}], " ", "user", " ", "can", " ", 
     "vary", " ", "the", " ", "wavelength"}], ",", " ", 
    RowBox[{"number", " ", "of", " ", "antennas"}], ",", " ", 
    RowBox[{
     RowBox[{
      RowBox[{
      "duration", " ", "of", " ", "observation", " ", "and", " ", 
       "declination", " ", "of", " ", "the", " ", 
       RowBox[{"source", " ", ".", "  ", "The"}], " ", "antenna", " ", 
       RowBox[{"coord", "'"}], "s", " ", "must", " ", "be", " ", 
       RowBox[{"input", ".", "  ", "The"}], " ", "variable", " ", "g", " ", 
       RowBox[{"is", " ", "'"}], 
       RowBox[{"gamma", "'"}], " ", "the", " ", "tilt", " ", "of", " ", "the",
        " ", "array", " ", "relative", " ", "to", " ", "the", " ", "East"}], 
      "-", 
      RowBox[{"West", " ", 
       RowBox[{"line", ".", "  ", "the"}], " ", "rotation", " ", "rate", " ", 
       "of", " ", "the", " ", "Earth", " ", "is", " ", 
       RowBox[{"wE", ".", "  ", "And"}], " ", "b", " ", "is", " ", "the", " ",
        "baseline", " ", 
       RowBox[{"length", ".", "  ", "\[IndentingNewLine]", "The"}], " ", 
       "calculation", " ", "first", " ", "sets", " ", "u", " ", "and", " ", 
       "v"}]}], " ", "=", " ", 
     RowBox[{
      RowBox[{"0", " ", "for", " ", "i"}], " ", "=", " ", 
      RowBox[{"j", " ", 
       RowBox[{"(", 
        RowBox[{"same", " ", "antenna"}], ")"}]}]}]}], ",", 
    RowBox[{
     RowBox[{
     "then", " ", "calculates", " ", "u", " ", "and", " ", "v", " ", "for", 
      " ", "j"}], ">", "i"}], ",", " ", 
    RowBox[{
    "and", " ", "then", " ", "sets", " ", "u", " ", "and", " ", "v", " ", 
     "for", " ", "switched", " ", 
     RowBox[{"i", "'"}], "s", " ", "and", " ", 
     RowBox[{"j", "'"}], "s", " ", "equal", " ", "to", " ", "the", " ", 
     "negative", " ", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{"opposite", " ", "direction"}], ")"}], ".", 
      "\[IndentingNewLine]", "To"}], " ", "get", " ", "all", " ", "tracks", 
     " ", "displayed", " ", "on", " ", "the", " ", "plot"}], ",", " ", 
    RowBox[{
    "a", "  ", "pair", " ", "of", " ", "lists", " ", "called", " ", "uv", " ",
      "and", " ", "alltracks", " ", "are", " ", 
     RowBox[{"created", ".", "  ", "uv"}], " ", "is", " ", "an", " ", "array",
      " ", "to", " ", "describe", " ", "each", " ", "pair", " ", "of", " ", 
     "u", " ", "and", " ", "v", " ", "to", " ", "make", " ", "a", " ", 
     "single", " ", 
     RowBox[{"track", ".", "  ", "and"}], " ", "then", " ", "alltracks", " ", 
     "becomes", " ", "the", " ", "master", " ", "list", " ", "to", " ", 
     "input", " ", "into", " ", "parametric", " ", 
     RowBox[{"plot", ".", "\[IndentingNewLine]"}]}]}]}], "Text"]], "Input",
 CellChangeTimes->{{3.5934473702492075`*^9, 3.593447457748207*^9}, {
   3.5934475833720803`*^9, 3.5934475998403735`*^9}, {3.59344765588258*^9, 
   3.5934476562526536`*^9}, {3.5934477319997997`*^9, 
   3.5934477325119023`*^9}, {3.5934480085813437`*^9, 
   3.5934482273702326`*^9}, {3.5934482738912325`*^9, 3.5934485176460886`*^9}, 
   3.593448567074031*^9, {3.593448602258549*^9, 3.593448649396262*^9}, {
   3.5934486878511076`*^9, 3.5934488893652806`*^9}, {3.593448919774361*^9, 
   3.5934489944873495`*^9}, {3.593449061097025*^9, 3.5934491127007017`*^9}, {
   3.5934491561810045`*^9, 3.593449170585123*^9}, {3.5934492321288314`*^9, 
   3.5934492324788313`*^9}, {3.5934492785528316`*^9, 
   3.5934492933518314`*^9}, {3.5934493643268313`*^9, 
   3.5934494174768314`*^9}, {3.5934494664898314`*^9, 3.593449467447831*^9}, {
   3.5934495104278316`*^9, 3.5934495793665657`*^9}, {3.5934496309477234`*^9, 
   3.593449693758004*^9}, {3.593453424327498*^9, 3.5934534369990034`*^9}, {
   3.593453476211551*^9, 3.5934534943653603`*^9}, {3.5934535271880646`*^9, 
   3.5934535958205414`*^9}, {3.593453774031822*^9, 3.5934538128951263`*^9}, {
   3.593453866156064*^9, 3.5934539029621344`*^9}, {3.593453976471304*^9, 
   3.593453977121499*^9}, {3.5934540689880505`*^9, 3.5934541713187404`*^9}, {
   3.593454204456679*^9, 3.5934542979521604`*^9}, {3.593454484604205*^9, 
   3.5934546013455935`*^9}, {3.59345463442232*^9, 3.5934546824419413`*^9}, {
   3.5934547633295994`*^9, 3.5934548239360456`*^9}, {3.5934549422866507`*^9, 
   3.593454990454154*^9}, {3.5934550437747765`*^9, 3.5934550472565594`*^9}, {
   3.5934551100707707`*^9, 3.5934551510395193`*^9}, {3.593455257018255*^9, 
   3.593455259221136*^9}, {3.5934726245906196`*^9, 3.5934727847336655`*^9}, 
   3.593472897377954*^9, {3.593472947773269*^9, 3.59347300960787*^9}, {
   3.593473087926507*^9, 3.5934732187939806`*^9}, {3.5934734305399666`*^9, 
   3.593473436895787*^9}, 3.5934734722810855`*^9, {3.5934735182990646`*^9, 
   3.5934735337093563`*^9}, {3.593473583154621*^9, 3.5934736118232794`*^9}, {
   3.593474504300185*^9, 3.5934745849008646`*^9}, 3.5934746319303384`*^9, {
   3.5934746688278804`*^9, 3.5934747071726985`*^9}, 3.5934747628304467`*^9, {
   3.593474810269447*^9, 3.593474847200447*^9}, {3.5934748828504467`*^9, 
   3.593475028084447*^9}, {3.5934750667330627`*^9, 3.5934752441695433`*^9}, {
   3.5934753188114686`*^9, 3.5934754186699305`*^9}, 3.5934754507465506`*^9, {
   3.5934754832426314`*^9, 3.5934754835724993`*^9}, {3.5934755545610924`*^9, 
   3.5934755792432156`*^9}, {3.593475918490907*^9, 3.5934759649875565`*^9}, {
   3.5934760205842037`*^9, 3.5934760268554583`*^9}, {3.593476107103504*^9, 
   3.5934761297270284`*^9}, {3.5934761723165445`*^9, 
   3.5934761811273065`*^9}, {3.593476218532786*^9, 3.593476257872652*^9}, {
   3.5934762935257816`*^9, 3.5934762958842535`*^9}, {3.5934763310222793`*^9, 
   3.59347634917791*^9}, {3.593476451087288*^9, 3.59347647770761*^9}, {
   3.593476537776622*^9, 3.5934765448720407`*^9}, {3.593476585421149*^9, 
   3.5934765904101467`*^9}, {3.593476824505347*^9, 3.593476833141162*^9}, {
   3.593476917655423*^9, 3.593476917949247*^9}, {3.5934769519418387`*^9, 
   3.593476976495098*^9}, {3.593477019608227*^9, 3.5934770553586516`*^9}, {
   3.5934771157936077`*^9, 3.5934771171704698`*^9}, {3.5934771599971867`*^9, 
   3.5934771709720893`*^9}, {3.593477216650521*^9, 3.593477239195266*^9}, {
   3.593477274313754*^9, 3.5934773232928047`*^9}, {3.5934773670501795`*^9, 
   3.593477409778452*^9}, {3.593477479874461*^9, 3.5934774811975937`*^9}, {
   3.593477515154989*^9, 3.593477621486621*^9}, {3.5934776541068826`*^9, 
   3.593477683804852*^9}, {3.5934777249499664`*^9, 3.5934777273362045`*^9}, {
   3.5934777712775517`*^9, 3.593477834779849*^9}, {3.5934778851667695`*^9, 
   3.593477901691464*^9}, {3.5934779469404125`*^9, 3.593478042113254*^9}, {
   3.593478113168254*^9, 3.593478249388254*^9}, {3.593478284034254*^9, 
   3.5934784019696803`*^9}, {3.593478433079791*^9, 3.5934784539018726`*^9}, {
   3.593478493134796*^9, 3.5934784976452465`*^9}, {3.593478548821364*^9, 
   3.593478582578739*^9}, {3.5934786826887493`*^9, 3.5934786950119815`*^9}, {
   3.593521016487962*^9, 3.593521051328373*^9}, {3.593521088769084*^9, 
   3.5935211291692743`*^9}, {3.593521316428857*^9, 3.593521355561414*^9}, {
   3.593521433013974*^9, 3.5935214332452283`*^9}, {3.5935215148368807`*^9, 
   3.593521584737687*^9}, {3.5935216472573833`*^9, 3.593521652902586*^9}, {
   3.5935217621765947`*^9, 3.593521840593278*^9}, {3.593521967882027*^9, 
   3.593522046804982*^9}, {3.5935222484430304`*^9, 3.593522329887576*^9}, {
   3.593522371462506*^9, 3.593522549774947*^9}, {3.593522593177306*^9, 
   3.5935226767217674`*^9}, {3.59352283714076*^9, 3.593522929700506*^9}, {
   3.593524301379142*^9, 3.593524337782606*^9}, {3.5935245523974276`*^9, 
   3.5935245562398825`*^9}, {3.5935246251438403`*^9, 3.593524923870496*^9}, {
   3.593524984221738*^9, 3.5935251443687534`*^9}, {3.5935251950702195`*^9, 
   3.5935252692090807`*^9}, {3.5935304426134677`*^9, 
   3.5935305522839146`*^9}, {3.5935306079616475`*^9, 3.5935307162675095`*^9}, 
   3.5935307541886077`*^9, {3.593530889466248*^9, 3.5935309004591327`*^9}, {
   3.5935309688066998`*^9, 3.5935310498384733`*^9}, {3.5935311406160374`*^9, 
   3.593531140851226*^9}, {3.5935311888355827`*^9, 3.5935312284082155`*^9}, {
   3.5935313603762856`*^9, 3.5935313914872603`*^9}, {3.593531460595007*^9, 
   3.5935314621086435`*^9}, {3.5935315036861906`*^9, 3.59353150854881*^9}, {
   3.593531617368784*^9, 3.5935316197426453`*^9}, {3.5935316863507175`*^9, 
   3.5935316885867176`*^9}, {3.5935317348367176`*^9, 
   3.5935317571707177`*^9}, {3.5935320058135724`*^9, 
   3.5935320186154118`*^9}, {3.59353205882047*^9, 3.593532192531571*^9}, {
   3.593532224364118*^9, 3.5935323327935786`*^9}, {3.593532532545014*^9, 
   3.5935325991233764`*^9}, {3.59353263764839*^9, 3.5935326407092457`*^9}, {
   3.593532822876808*^9, 3.593532851688808*^9}, {3.593532889380808*^9, 
   3.593532890221808*^9}, {3.593532992588481*^9, 3.5935330502207656`*^9}, {
   3.5935333090045676`*^9, 3.59353331746395*^9}, {3.593533763306463*^9, 
   3.593533792936463*^9}, {3.593534232615769*^9, 3.5935342961084647`*^9}, {
   3.5935345028529353`*^9, 3.5935345583837137`*^9}, {3.5935346005278497`*^9, 
   3.5935346841673803`*^9}, {3.5939867320415792`*^9, 3.593986888575935*^9}, {
   3.6554794146946826`*^9, 3.6554794374749527`*^9}}],

Cell[BoxData[{
 RowBox[{"lam", "=", "0.06"}], "\[IndentingNewLine]", 
 RowBox[{"dec", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"wE", "=", 
  RowBox[{"7.3", "*", 
   RowBox[{"10", "^", 
    RowBox[{"(", 
     RowBox[{"-", "5"}], ")"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{"nant", "=", "2"}], "\[IndentingNewLine]", 
 RowBox[{"nosec", "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"x", ",", "nant"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"y", ",", "nant"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"bl", ",", 
   RowBox[{"{", 
    RowBox[{"nant", ",", "nant"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"cosg", ",", 
   RowBox[{"{", 
    RowBox[{"nant", ",", "nant"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"sing", ",", 
   RowBox[{"{", 
    RowBox[{"nant", ",", "nant"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"u", "[", "t_", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"nant", ",", "nant"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{
   RowBox[{"v", "[", "t_", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"nant", ",", "nant"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Array", "[", 
  RowBox[{"uv", ",", "nant"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "[", "1", "]"}], "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "1", "]"}], "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "[", "2", "]"}], "=", "1"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "[", "2", "]"}], "=", "0"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"bl", "[", 
   RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"y", "[", "i", "]"}], "-", 
        RowBox[{"y", "[", "j", "]"}]}], ")"}], "^", "2"}], "+", 
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        RowBox[{"x", "[", "i", "]"}], "-", 
        RowBox[{"x", "[", "j", "]"}]}], ")"}], "^", "2"}]}], ")"}], "^", 
   "0.5"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"cosg", "[", 
   RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"x", "[", "i", "]"}], "-", 
     RowBox[{"x", "[", "j", "]"}]}], ")"}], "/", 
   RowBox[{"bl", "[", 
    RowBox[{"i", ",", "j"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sing", "[", 
   RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"y", "[", "i", "]"}], "-", 
     RowBox[{"y", "[", "j", "]"}]}], ")"}], "/", 
   RowBox[{"bl", "[", 
    RowBox[{"i", ",", "j"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"bl", "[", 
    RowBox[{"i", ",", "j"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"cosg", "[", 
     RowBox[{"i", ",", "i"}], "]"}], "=", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"sing", "[", 
     RowBox[{"i", ",", "i"}], "]"}], "=", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"u", "[", "t_", "]"}], "[", 
   RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"bl", "[", 
      RowBox[{"i", ",", "j"}], "]"}], "/", "lam"}], ")"}], 
   RowBox[{"cosg", "[", 
    RowBox[{"i", ",", "j"}], "]"}], 
   RowBox[{"Cos", "[", 
    RowBox[{
     RowBox[{"-", "wE"}], "*", "t"}], "]"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"v", "[", "t_", "]"}], "[", 
   RowBox[{"i_", ",", "j_"}], "]"}], ":=", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     RowBox[{"bl", "[", 
      RowBox[{"i", ",", "j"}], "]"}], "/", "lam"}], ")"}], 
   RowBox[{"(", 
    RowBox[{
     RowBox[{
      RowBox[{"Sin", "[", "dec", "]"}], " ", "*", 
      RowBox[{"Sin", "[", 
       RowBox[{
        RowBox[{"-", "wE"}], "*", "t"}], "]"}]}], "+", 
     RowBox[{
      RowBox[{"sing", "[", 
       RowBox[{"i", ",", "j"}], "]"}], 
      RowBox[{"Cos", "[", "dec", "]"}]}]}], ")"}]}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"u", "[", "t", "]"}], "[", 
    RowBox[{"i", ",", "j"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"nant", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"i", "+", "1"}], ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"v", "[", "t", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"nant", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"i", "+", "1"}], ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"u", "[", "t", "]"}], "[", 
     RowBox[{"i", ",", "i"}], "]"}], "=", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"v", "[", "t", "]"}], "[", 
     RowBox[{"i", ",", "i"}], "]"}], "=", "0"}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"u", "[", "t", "]"}], "[", 
     RowBox[{"j", ",", "i"}], "]"}], "=", 
    RowBox[{"-", 
     RowBox[{
      RowBox[{"u", "[", "t", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"nant", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"i", "+", "1"}], ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"v", "[", "t", "]"}], "[", 
     RowBox[{"j", ",", "i"}], "]"}], "=", 
    RowBox[{"-", 
     RowBox[{
      RowBox[{"v", "[", "t", "]"}], "[", 
      RowBox[{"i", ",", "j"}], "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", 
     RowBox[{"nant", "-", "1"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", 
     RowBox[{"i", "+", "1"}], ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"uv", "[", 
     RowBox[{
      RowBox[{"nant", "*", 
       RowBox[{"(", 
        RowBox[{"i", "-", "1"}], ")"}]}], "+", "j"}], "]"}], "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{
       RowBox[{"u", "[", "t", "]"}], "[", 
       RowBox[{"i", ",", "j"}], "]"}], ",", 
      RowBox[{
       RowBox[{"v", "[", "t", "]"}], "[", 
       RowBox[{"i", ",", "j"}], "]"}]}], "}"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"i", ",", "1", ",", "nant"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"j", ",", "1", ",", "nant"}], "}"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"alltracks", "=", 
  RowBox[{"{", 
   RowBox[{"uv", "[", "1", "]"}], "}"}]}], "\[IndentingNewLine]", 
 RowBox[{"Do", "[", 
  RowBox[{
   RowBox[{"AppendTo", "[", 
    RowBox[{"alltracks", ",", 
     RowBox[{"uv", "[", "k", "]"}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "2", ",", 
     RowBox[{"nant", "*", "nant"}]}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"ParametricPlot", "[", 
  RowBox[{"alltracks", ",", 
   RowBox[{"{", 
    RowBox[{"t", ",", 
     RowBox[{
      RowBox[{"-", "nosec"}], "/", "2"}], ",", 
     RowBox[{"nosec", "/", "2"}]}], "}"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", "Full"}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<\!\(\*
StyleBox[\"u\",
FontFamily->\"Palatino Linotype\",
FontWeight->\"Plain\",
FontSlant->\"Italic\"]\) (wavelengths)\>\"", ",", "\"\<\!\(\*
StyleBox[\"v\",
FontFamily->\"Palatino Linotype\",
FontWeight->\"Plain\",
FontSlant->\"Italic\"]\) (wavelengths)\>\""}], "}"}]}], ",", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"{", 
      RowBox[{"Black", ",", 
       RowBox[{"Thickness", "[", "0.01", "]"}]}], "}"}], "}"}]}], ",", 
   RowBox[{"AxesStyle", "\[Rule]", 
    RowBox[{"Directive", "[", 
     RowBox[{"Thickness", "[", "0.01", "]"}], "]"}]}], ",", 
   RowBox[{"LabelStyle", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"Medium", ",", 
      RowBox[{"Directive", "[", "Bold", "]"}]}], "}"}]}], ",", 
   RowBox[{"AspectRatio", "\[Rule]", "Automatic"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.5934473702492075`*^9, 3.593447457748207*^9}, {
   3.5934475833720803`*^9, 3.5934475998403735`*^9}, {3.59344765588258*^9, 
   3.5934476562526536`*^9}, {3.5934477319997997`*^9, 
   3.5934477325119023`*^9}, {3.5934480085813437`*^9, 
   3.5934482273702326`*^9}, {3.5934482738912325`*^9, 3.5934485176460886`*^9}, 
   3.593448567074031*^9, {3.593448602258549*^9, 3.593448649396262*^9}, {
   3.5934486878511076`*^9, 3.5934488893652806`*^9}, {3.593448919774361*^9, 
   3.5934489944873495`*^9}, {3.593449061097025*^9, 3.5934491127007017`*^9}, {
   3.5934491561810045`*^9, 3.593449170585123*^9}, {3.5934492321288314`*^9, 
   3.5934492324788313`*^9}, {3.5934492785528316`*^9, 
   3.5934492933518314`*^9}, {3.5934493643268313`*^9, 
   3.5934494174768314`*^9}, {3.5934494664898314`*^9, 3.593449467447831*^9}, {
   3.5934495104278316`*^9, 3.5934495793665657`*^9}, {3.5934496309477234`*^9, 
   3.593449693758004*^9}, {3.593453424327498*^9, 3.5934534369990034`*^9}, {
   3.593453476211551*^9, 3.5934534943653603`*^9}, {3.5934535271880646`*^9, 
   3.5934535958205414`*^9}, {3.593453774031822*^9, 3.5934538128951263`*^9}, {
   3.593453866156064*^9, 3.5934539029621344`*^9}, {3.593453976471304*^9, 
   3.593453977121499*^9}, {3.5934540689880505`*^9, 3.5934541713187404`*^9}, {
   3.593454204456679*^9, 3.5934542979521604`*^9}, {3.593454484604205*^9, 
   3.5934546013455935`*^9}, {3.59345463442232*^9, 3.5934546824419413`*^9}, {
   3.5934547633295994`*^9, 3.5934548239360456`*^9}, {3.5934549422866507`*^9, 
   3.593454990454154*^9}, {3.5934550437747765`*^9, 3.5934550472565594`*^9}, {
   3.5934551100707707`*^9, 3.5934551510395193`*^9}, {3.593455257018255*^9, 
   3.593455259221136*^9}, {3.5934726245906196`*^9, 3.5934727847336655`*^9}, 
   3.593472897377954*^9, {3.593472947773269*^9, 3.59347300960787*^9}, {
   3.593473087926507*^9, 3.5934732187939806`*^9}, {3.5934734305399666`*^9, 
   3.593473436895787*^9}, 3.5934734722810855`*^9, {3.5934735182990646`*^9, 
   3.5934735337093563`*^9}, {3.593473583154621*^9, 3.5934736118232794`*^9}, {
   3.593474504300185*^9, 3.5934745849008646`*^9}, 3.5934746319303384`*^9, {
   3.5934746688278804`*^9, 3.5934747071726985`*^9}, 3.5934747628304467`*^9, {
   3.593474810269447*^9, 3.593474847200447*^9}, {3.5934748828504467`*^9, 
   3.593475028084447*^9}, {3.5934750667330627`*^9, 3.5934752441695433`*^9}, {
   3.5934753188114686`*^9, 3.5934754186699305`*^9}, 3.5934754507465506`*^9, {
   3.5934754832426314`*^9, 3.5934754835724993`*^9}, {3.5934755545610924`*^9, 
   3.5934755792432156`*^9}, {3.593475918490907*^9, 3.5934759649875565`*^9}, {
   3.5934760205842037`*^9, 3.5934760268554583`*^9}, {3.593476107103504*^9, 
   3.5934761297270284`*^9}, {3.5934761723165445`*^9, 
   3.5934761811273065`*^9}, {3.593476218532786*^9, 3.593476257872652*^9}, {
   3.5934762935257816`*^9, 3.5934762958842535`*^9}, {3.5934763310222793`*^9, 
   3.59347634917791*^9}, {3.593476451087288*^9, 3.59347647770761*^9}, {
   3.593476537776622*^9, 3.5934765448720407`*^9}, {3.593476585421149*^9, 
   3.5934765904101467`*^9}, {3.593476824505347*^9, 3.593476833141162*^9}, {
   3.593476917655423*^9, 3.593476917949247*^9}, {3.5934769519418387`*^9, 
   3.593476976495098*^9}, {3.593477019608227*^9, 3.5934770553586516`*^9}, {
   3.5934771157936077`*^9, 3.5934771171704698`*^9}, {3.5934771599971867`*^9, 
   3.5934771709720893`*^9}, {3.593477216650521*^9, 3.593477239195266*^9}, {
   3.593477274313754*^9, 3.5934773232928047`*^9}, {3.5934773670501795`*^9, 
   3.593477409778452*^9}, {3.593477479874461*^9, 3.5934774811975937`*^9}, {
   3.593477515154989*^9, 3.593477621486621*^9}, {3.5934776541068826`*^9, 
   3.593477683804852*^9}, {3.5934777249499664`*^9, 3.5934777273362045`*^9}, {
   3.5934777712775517`*^9, 3.593477834779849*^9}, {3.5934778851667695`*^9, 
   3.593477901691464*^9}, {3.5934779469404125`*^9, 3.593478042113254*^9}, {
   3.593478113168254*^9, 3.593478249388254*^9}, {3.593478284034254*^9, 
   3.5934784019696803`*^9}, {3.593478433079791*^9, 3.5934784539018726`*^9}, {
   3.593478493134796*^9, 3.5934784976452465`*^9}, {3.593478548821364*^9, 
   3.593478582578739*^9}, {3.5934786826887493`*^9, 3.5934786950119815`*^9}, {
   3.593521016487962*^9, 3.593521051328373*^9}, {3.593521088769084*^9, 
   3.5935211291692743`*^9}, {3.593521316428857*^9, 3.593521355561414*^9}, {
   3.593521433013974*^9, 3.5935214332452283`*^9}, {3.5935215148368807`*^9, 
   3.593521584737687*^9}, {3.5935216472573833`*^9, 3.593521652902586*^9}, {
   3.5935217621765947`*^9, 3.593521840593278*^9}, {3.593521967882027*^9, 
   3.593522046804982*^9}, {3.5935222484430304`*^9, 3.593522329887576*^9}, {
   3.593522371462506*^9, 3.593522549774947*^9}, {3.593522593177306*^9, 
   3.5935226767217674`*^9}, {3.59352283714076*^9, 3.593522929700506*^9}, {
   3.593524301379142*^9, 3.593524337782606*^9}, {3.5935245523974276`*^9, 
   3.5935245562398825`*^9}, {3.5935246251438403`*^9, 3.593524923870496*^9}, {
   3.593524984221738*^9, 3.5935251443687534`*^9}, {3.5935251950702195`*^9, 
   3.5935252692090807`*^9}, {3.5935304426134677`*^9, 
   3.5935305522839146`*^9}, {3.5935306079616475`*^9, 3.5935307162675095`*^9}, 
   3.5935307541886077`*^9, {3.593530889466248*^9, 3.5935309004591327`*^9}, {
   3.5935309688066998`*^9, 3.5935310498384733`*^9}, {3.5935311406160374`*^9, 
   3.593531140851226*^9}, {3.5935311888355827`*^9, 3.5935312284082155`*^9}, {
   3.5935313603762856`*^9, 3.5935313914872603`*^9}, {3.593531460595007*^9, 
   3.5935314621086435`*^9}, {3.5935315036861906`*^9, 3.59353150854881*^9}, {
   3.593531617368784*^9, 3.5935316197426453`*^9}, {3.5935316863507175`*^9, 
   3.5935316885867176`*^9}, {3.5935317348367176`*^9, 
   3.5935317571707177`*^9}, {3.5935320058135724`*^9, 
   3.5935320186154118`*^9}, {3.59353205882047*^9, 3.593532192531571*^9}, {
   3.593532224364118*^9, 3.5935323327935786`*^9}, {3.593532532545014*^9, 
   3.5935325991233764`*^9}, {3.59353263764839*^9, 3.5935326407092457`*^9}, {
   3.593532822876808*^9, 3.593532851688808*^9}, {3.593532889380808*^9, 
   3.593532890221808*^9}, {3.593532992588481*^9, 3.5935330502207656`*^9}, {
   3.5935333090045676`*^9, 3.59353331746395*^9}, {3.593533763306463*^9, 
   3.593533792936463*^9}, {3.593534232615769*^9, 3.5935342961084647`*^9}, {
   3.5935345028529353`*^9, 3.5935345583837137`*^9}, {3.5935346005278497`*^9, 
   3.5935347256226873`*^9}, {3.5935348042116876`*^9, 
   3.5935348205346875`*^9}, {3.5935349748556876`*^9, 
   3.5935349891196876`*^9}, {3.593535078464697*^9, 3.593535138078657*^9}, {
   3.593535213063155*^9, 3.593535258373686*^9}, {3.593535294592307*^9, 
   3.59353529861971*^9}, {3.5935359212088604`*^9, 3.5935359567938604`*^9}, {
   3.5935360986098075`*^9, 3.5935361289738436`*^9}, {3.5935362131372595`*^9, 
   3.5935364222864847`*^9}, {3.5935479732722964`*^9, 
   3.5935480610542965`*^9}, {3.5935482024562964`*^9, 3.593548264138296*^9}, {
   3.5935483432192965`*^9, 3.5935483605362964`*^9}, {3.5935483920520887`*^9, 
   3.5935484152758164`*^9}, {3.593548467226159*^9, 3.5935484708396516`*^9}, {
   3.593548541395424*^9, 3.593548541950421*^9}, {3.5935486212699394`*^9, 
   3.5935487410615067`*^9}, {3.5935495236126375`*^9, 
   3.5935495757779565`*^9}, {3.5935496175268297`*^9, 3.593549621344024*^9}, {
   3.5935502240321903`*^9, 3.593550354404344*^9}, {3.593986931086175*^9, 
   3.593986945604274*^9}, {3.5939870026867332`*^9, 3.5939870665160365`*^9}, {
   3.59398710155997*^9, 3.593987182272303*^9}, {3.593987230266031*^9, 
   3.593987302256381*^9}, {3.5951602283149414`*^9, 3.595160247887587*^9}, {
   3.63726615271045*^9, 3.637266154180479*^9}, {3.6372661907537136`*^9, 
   3.63726619455579*^9}, {3.637266257889058*^9, 3.637266259560092*^9}, 
   3.637266325557414*^9, {3.637266407892063*^9, 3.6372664231163797`*^9}, {
   3.6372667344716196`*^9, 3.6372667367026644`*^9}, {3.6372668134252014`*^9, 
   3.637266843514804*^9}, {3.637266981962095*^9, 3.6372669849031534`*^9}, {
   3.6372672015322227`*^9, 3.637267243324134*^9}, {3.6372672998398104`*^9, 
   3.6372673001897926`*^9}, {3.6372673407927637`*^9, 
   3.6372673421526957`*^9}, {3.637267417417952*^9, 3.637267418097918*^9}, {
   3.6372674627735825`*^9, 3.637267493599775*^9}, {3.637267597388239*^9, 
   3.6372676446182685`*^9}, {3.6372677118620963`*^9, 
   3.6372677170180454`*^9}, {3.637267750099812*^9, 3.637267785883812*^9}, {
   3.637267817885812*^9, 3.637267827088812*^9}, {3.6372689482849045`*^9, 
   3.637269016091405*^9}, {3.637526739922647*^9, 3.6375267677656684`*^9}, {
   3.6375268059619894`*^9, 3.6375268348734283`*^9}, {3.637527015778062*^9, 
   3.6375270218268547`*^9}, 3.6375270567713256`*^9, {3.637527598065942*^9, 
   3.6375276867235627`*^9}, {3.6375279671101418`*^9, 
   3.6375281403686867`*^9}, {3.637528313952721*^9, 3.6375283141927185`*^9}, {
   3.637528569027723*^9, 3.6375285814837227`*^9}, {3.6375286451472764`*^9, 
   3.6375286462872195`*^9}, {3.637528726590675*^9, 3.6375287796831055`*^9}, {
   3.637667349540701*^9, 3.637667417376856*^9}, {3.6376675092806234`*^9, 
   3.6376675855763655`*^9}, {3.637667624006564*^9, 3.637667800143816*^9}, {
   3.637667869105816*^9, 3.6376679405781517`*^9}, {3.637668558375845*^9, 
   3.637668583656845*^9}, {3.637670441443345*^9, 3.637670477837345*^9}, {
   3.6376705167328453`*^9, 3.6376706285488453`*^9}, 3.6376706782913446`*^9, {
   3.637670720369845*^9, 3.637670738345845*^9}, {3.637670943163845*^9, 
   3.637670969158845*^9}, {3.637671023956345*^9, 3.637671135767345*^9}, {
   3.6377934624545765`*^9, 3.6377935139094763`*^9}, {3.637793553614519*^9, 
   3.6377935928940396`*^9}, {3.6386320770231667`*^9, 
   3.6386321428811665`*^9}, {3.6386322303051667`*^9, 3.638632356079363*^9}, {
   3.638632422383992*^9, 3.6386324228030343`*^9}, {3.638632487942548*^9, 
   3.638632489616715*^9}, {3.638632536879441*^9, 3.638632537706524*^9}, {
   3.6386326502577777`*^9, 3.638632654817233*^9}, {3.638632687727524*^9, 
   3.638632725560307*^9}, {3.6386328531310625`*^9, 3.638632864867236*^9}, {
   3.6386332419151616`*^9, 3.6386332422561617`*^9}, {3.6386332836911616`*^9, 
   3.6386333016541615`*^9}, {3.6386333431491613`*^9, 
   3.6386333457081614`*^9}, {3.6386333778281617`*^9, 
   3.6386333789801617`*^9}, {3.6386334396891613`*^9, 
   3.6386334566211615`*^9}, {3.6386335674701614`*^9, 
   3.6386335741661615`*^9}, {3.6386391491416345`*^9, 
   3.6386393080723653`*^9}, {3.638639788773807*^9, 3.6386397900541267`*^9}, {
   3.638639849235426*^9, 3.638639868604169*^9}, {3.638639927630966*^9, 
   3.6386399436671486`*^9}, {3.6386400256633806`*^9, 
   3.6386400283444347`*^9}, {3.638640075882887*^9, 3.6386401895926876`*^9}, {
   3.6386402373031435`*^9, 3.6386402439402766`*^9}, {3.638640415481146*^9, 
   3.6386405653704305`*^9}, {3.6386406026281767`*^9, 
   3.6386406410124454`*^9}, {3.638640766191859*^9, 3.6386407836569777`*^9}, {
   3.638640826836978*^9, 3.638640848628478*^9}, {3.638640899972478*^9, 
   3.638640935705978*^9}, {3.638640974236978*^9, 3.6386409748669777`*^9}, {
   3.638641005960978*^9, 3.6386410236169777`*^9}, {3.638641249804978*^9, 
   3.638641287977478*^9}, {3.638641364228478*^9, 3.638641395413478*^9}, {
   3.638641455853478*^9, 3.638641471041478*^9}, {3.638641631598978*^9, 
   3.638641711867978*^9}, {3.638641750946978*^9, 3.6386418207183366`*^9}, {
   3.6386418597257166`*^9, 3.6386419819424434`*^9}, {3.6386420264268856`*^9, 
   3.638642056296505*^9}, {3.6386422066791306`*^9, 3.638642254160207*^9}, {
   3.6386423067046323`*^9, 3.638642330894907*^9}, {3.6386423761815557`*^9, 
   3.6386423927480593`*^9}, {3.638642423633731*^9, 3.638642429245675*^9}, {
   3.6386424663483043`*^9, 3.638642471084257*^9}, {3.6386425272446957`*^9, 
   3.638642538428584*^9}, {3.638642576449204*^9, 3.63864272382824*^9}, {
   3.63864275403494*^9, 3.638642803081288*^9}, 3.638642856544788*^9, {
   3.638642889714754*^9, 3.6386428939855833`*^9}, {3.638642995297035*^9, 
   3.6386430160472116`*^9}, {3.638643055671627*^9, 3.6386430594334764`*^9}, {
   3.638643148542419*^9, 3.63864315027335*^9}, {3.6386432160409174`*^9, 
   3.6386432679248996`*^9}, {3.6386433202273784`*^9, 3.638643322498356*^9}, {
   3.6386433830617514`*^9, 3.6386433835517464`*^9}, {3.6386434251093316`*^9, 
   3.6386434540590434`*^9}, {3.6386434905521793`*^9, 
   3.6386435363017235`*^9}, {3.6386436030050573`*^9, 3.638643603145056*^9}, {
   3.638643688069208*^9, 3.638643944915489*^9}, {3.6386439885086823`*^9, 
   3.6386439930315466`*^9}, {3.638644026013562*^9, 3.6386440263135533`*^9}, {
   3.63864405979505*^9, 3.6386441192442684`*^9}, {3.6386448013118825`*^9, 
   3.6386448412393827`*^9}, {3.64121335632024*^9, 3.641213356510244*^9}, {
   3.641213438132576*^9, 3.641213505493822*^9}, {3.6525432733171206`*^9, 
   3.6525432782629137`*^9}, {3.655479572327495*^9, 3.655479584521245*^9}, {
   3.655479993051395*^9, 3.6554800611273494`*^9}, {3.655480093728461*^9, 
   3.6554800942385015`*^9}}]
},
WindowSize->{771, 768},
WindowMargins->{{12, Automatic}, {22, Automatic}},
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 9585, 151, 279, "Input"],
Cell[10133, 173, 21542, 455, 772, "Input"]
}
]
*)

(* End of internal cache information *)
